Skip to main content
GET
/
v1
/
calls
List calls
curl --request GET \
  --url https://api.topcalls.ai/v1/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "564d4fd4-03bc-400a-abe0-05540fbeff88",
      "created_at": "2025-12-22T10:30:00Z",
      "phone_number": "+14155551234",
      "from_phone_number": "+18005551234",
      "status": "completed",
      "call_status": "completed",
      "duration": 2.5,
      "started_at": "2025-12-22T10:30:05Z",
      "end_at": "2025-12-22T10:32:35Z",
      "campaign_id": null,
      "lead_id": null,
      "answered_by": "human",
      "error_message": null,
      "recording_url": "https://api.example.com/recordings/2025/12/22/mp3",
      "transcript": [
        {
          "id": 1,
          "user": "assistant",
          "text": "Hi, this is Rachel from TopView Dental...",
          "created_at": "2025-12-22T10:30:05Z"
        }
      ],
      "call_summary": "Successfully confirmed appointment...",
      "disposition": "confirmed",
      "actual_duration_billed": 2.5,
      "metadata": {
        "patient_id": "pat_123"
      },
      "analysis": null
    }
  ],
  "next_cursor": "2025-12-22T10:29:00Z"
}
{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Query Parameters

limit
integer
default:50

Maximum number of results (1-200)

Required range: 1 <= x <= 200
cursor
string<date-time>

Pagination cursor (ISO 8601 timestamp)

status
enum<string>

Filter by call telephony outcome. Targets the call_status column.

Available options:
completed,
no-answer,
failed,
busy,
dispatch_timeout
campaign_id
string<uuid>

Filter by campaign id.

phone_number
string

Filter by destination phone number (exact match, E.164 format).

from_phone_number
string

Filter by caller ID used (exact match, E.164 format).

answered_by
enum<string>

Filter by who answered the call.

Available options:
human,
voicemail,
ivr,
unknown
disposition
string

Filter by call disposition/outcome (exact match, e.g. "confirmed", "interested", "no_answer").

lead_id
string<uuid>

Filter by lead id.

created_after
string<date-time>

Only return calls created at or after this timestamp.

created_before
string<date-time>

Only return calls created at or before this timestamp.

Response

List of calls

data
object[]

Array of call objects with essential fields only

next_cursor
string<date-time> | null

Pagination cursor for next page (ISO 8601 timestamp)